SSL, HTTPS, ...sous PHP [Fermé]

Signaler
-
 fanifigo2005 -
Bonsoir, en fait je suis en train de developper une application ecommerce sous PHP/MySQL pour ce faire pour ce qui des achats ou commandes en ligne je voudrais les faire dans le maximum de sécurité possible; pour ce faire je demandes des explication comment integrer ces SSL et HTTPS dans mon applications, ....
Merci à vous...

6 réponses

Messages postés
515
Date d'inscription
lundi 18 octobre 2004
Statut
Membre
Dernière intervention
28 février 2007
121
Ca dépend de ton serveur...
Tu as Apache ou IIS ?
Si tu es sous IIS, renseigne toi sur "openssl", en cherchant bien, tu trouveras. Si tu ne trouves pas, je pourrais peut-etre t'aider.
Pour apache :
http://web.developpez.com/tutoriel/apache/apache20modsslwindows/
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

> minazed
Slt,
J'ai encore une question,
comme je travaille avec la dernière version d'easy php (1.8) et que celle-ci utilise seulement la version 1.3 d'apache (et pas encore 2.0), comment dois-je faire si je veux utiliser apache 2 avec easy php afin de pouvoir l'utiliser avec ssl suivant les étapes définies précédemment (suffit-il de déplacer le répertoire apache 2)
Merci
Messages postés
515
Date d'inscription
lundi 18 octobre 2004
Statut
Membre
Dernière intervention
28 février 2007
121 > minazed
Si tu cherches "apache2" sur le forum d'easyphp.org, tu tomberas sur un topic qui te dis que ce n'est pas possible. Donc ca ne dois pas etre possible.
Par contre, WAMP est surement en apache2 (http://www.wampserver.com)
> minazed
Slt Strem,
Merci bcp pr tes indications, car je suis enfin arrivée à faire ce que je voullais
J'ai vu sur ton profil que t'étais de lyon, et moi aussi d'ailleurs je compte y venir pr étudier et j'aimerai bcp te contacter
> minazed
Slt, j'ai encore un pb.
Je dois travailler avec apache 2.0.x et php 4,
ça avait très bien marché avec php 5, mais avec les differentes versions de php 4, apache m'affiche lors du test: cannot load c:/www/php/sapi/php4apache2.dll into server: le module sp\xe9cifi\xe9 est introuvable
Pourtant j'ai éssayé avec plusieurs versions de php 4 et cette dl existe,
alors à votre avis c quoi le pb?
Bonjour,
j'ai essayé de faire le tuto que tu a proposé, mais j'ai rencontré des problèmes;
1-il faut écraser la DLL libeay32.dll de windows (ça cause des propblèmes d'acces a la session windows si l'on redemarre le poste)
2-l'autre prob c'est dans la partie """Sauvegarder le fichier sous SSL.bat........"""
lorsque j'execute le fichier SSL.bat il n'y a pas d'instructions a suivre .

donc le tuto bloque a ce niveau :)
si vous pouvez m'éclaircir les choses SVP.
Slt Balal,
Au fait, j'ai exactement le meme pb, alors je te laisse mon adresse: ziani_assia@yahoo.fr ou tu peux me contacter.
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

Messages postés
165
Date d'inscription
vendredi 7 décembre 2007
Statut
Membre
Dernière intervention
28 juillet 2011
27
Il me semble que la question parle de SSL / HTTPS, si on revanait au sujet ^^,

Moi, c'est à peu près la même question :
Comment utiliser SSL / HTTPS mais moi, j'ai apache 2.2.9 (et oui, on est en 2008) avec Wamp Server.
Je vois que le module SSL est installé, mais comment l'utiliser concrètement ?
Il faut ajouter une ligne sur notre site en php ?


Merci
^^,
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

bonjour Med;

je suis confronté à un problème similaire, s'il te plais est ce que tu as trouvé une telle solution.

Merci bien de me répondre.
Messages postés
165
Date d'inscription
vendredi 7 décembre 2007
Statut
Membre
Dernière intervention
28 juillet 2011
27
Salut maher,

je n'ai toujours pas trouvé de solution sur WampServer, mais avec Windows Server 2008, c'est relativement simple à mettre en place.
Mais bon, reste à se procurer le système.
2
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 60511 internautes nous ont dit merci ce mois-ci

Messages postés
1
Date d'inscription
jeudi 6 mars 2008
Statut
Membre
Dernière intervention
6 mars 2008
1
Bonjour
vous dite que vous avez réussi a installer appache2 sur easy php 1.8 je ne trouve pas comment j ai bien essayé !! .
je suis entrain de développer une application en php et il faut absolument que j intègre une partie sécurité avec ssl https… je suis aussi obligé de travaillé avec easyphp 1.8 car j ai trouvé des problèmes avec le 2.0
Alors comment je peut intégrer le ssl dans easy php 1.8 ?

c surement faisable puisqu`il y avait des sites sécurisé même avant l’apparition d’apache 2.0

salut med ,

je pense que le lien ci-dessous peut vous aider
http://forum.wampserver.com/read.php?1,8545,8547

bonne lecture.